#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2
%define subrel 1

Name:           libkmahjongg4
Summary:        Library used for loading and rendering of Mahjongg tilesets
Epoch:          1
Version: 14.12.3
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2 and GFDL
URL:            http://games.kde.org/
Source:         http://download.kde.org/stable/applications/%version/src/libkmahjongg-%version.tar.xz
BuildRequires:  libkdegames4-devel

%description
This package provides the library for loading and rendering of Mahjongg
tilesets and associated backgrounds, used by KMahjongg and KShisen.

#------------------------------------------------------------------------------

%package -n kmahjongglib4
Summary:        Common files needed by KMahjongg and KShisen
Group:          Games/Other
BuildArch:      noarch
Conflicts:      kmahjongg < 1:4.3.1-4
Obsoletes:      kmahjongglib < 1:4.14.3-2

%description -n kmahjongglib4
Common files needed by KMahjongg and KShisen.

%files -n kmahjongglib4
%_kde_appsdir/kmahjongglib

#-------------------------------------------------------------------------------

%define libkmahjongglib_major 4
%define libkmahjongglib %mklibname kmahjongglib %{libkmahjongglib_major}

%package -n %libkmahjongglib
Summary:        Runtime library for kmahjongg
Group:          System/Libraries

%description -n %libkmahjongglib
Runtime library for kmahjongg.

%files -n %libkmahjongglib
%_kde_libdir/libkmahjongglib.so.%{libkmahjongglib_major}*

#-------------------------------------------------------------------------------

%package devel
Summary:        Headers files for libkmahjongg
Group:          Development/KDE and Qt
Requires:       libkdegames4-devel
Requires:       %libkmahjongglib = %epoch:%version
Conflicts:      kdegames4-devel < 1:4.9.80
Obsoletes:      kmahjongglib-devel < 1:4.14.3-2

%description devel
Headers files needed to build applications based on kdegames applications.

%files devel
%_kde_libdir/libkmahjongglib.so
%_kde_includedir/*

#------------------------------------------------------------------------------

%prep
%setup -q -n libkmahjongg-%{version}
%autopatch -p1

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make_build

%install
%make_install -C build


%changelog
* Mon Jul 24 2017 akien <akien> 1:14.12.3-2.1.mga6
+ Revision: 1130239
- Add obsoletes to ease upgrade from Mageia 5 (mga#21304)

* Sat Jan 14 2017 daviddavid <daviddavid> 1:14.12.3-2.mga6
+ Revision: 1081743
- Add back on mageia

* Sun Mar 20 2016 luigiwalser <luigiwalser> 1:14.12.3-1.mga6
+ Revision: 993256
- 14.12.3
- make libkmahjongg4 package

  + lmenut <lmenut>
    - Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787765
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 743278
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734619
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 681559
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667552
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663064
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656742
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653927
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652038
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636801
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625568
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615649
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609461
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606902
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 1:4.12.90-1.mga5
+ Revision: 603409
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600742
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590530
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 580775
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555061
- Update tarball to KDE SC 4.11.4
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 540243
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490739
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 1:4.11.1-1.mga4
+ Revision: 476829
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465180
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458979
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455365
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 447938
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435301
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428409
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407224
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 401939
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394395
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 357616
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339474
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334556
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326758
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Sun Nov 18 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 319384
- imported package libkmahjongg

